# funcy-typing

Type stubs for [funcy](https://pypi.org/project/funcy/) package

Support all funcy modules:

- calc
- colls
- debug
- decorators
- flow
- funcmakers
- funcools
- funcs
- objects
- primitives
- seqs
- strings
- tree
- types

All functions that use `make_func` and `make_pred` are written for all cases of their use via @overload

![PyPI - Python Version](https://img.shields.io/pypi/pyversions/funcy-typing)
![PyPI - Status](https://img.shields.io/pypi/status/funcy-typing)
![PyPI - Implementation](https://img.shields.io/pypi/implementation/funcy-typing)
![PyPI - Format](https://img.shields.io/pypi/format/funcy-typing)
![PyPI - Downloads](https://img.shields.io/pypi/dm/funcy-typing)

[![Pre-commit](https://img.shields.io/badge/pre--commit-enabled-brightgreen?logo=pre-commit&logoColor=white)](https://github.com/feodor-ra/funcy-stubs/blob/master/.pre-commit-config.yaml)
[![uv](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/uv/main/assets/badge/v0.json)](https://github.com/astral-sh/uv)
[![Ruff](https://img.shields.io/endpoint?url=https://raw.githubusercontent.com/astral-sh/ruff/main/assets/badge/v2.json)](https://github.com/astral-sh/ruff)
[![Checked with pyright](https://microsoft.github.io/pyright/img/pyright_badge.svg)](https://microsoft.github.io/pyright/)
[![Semantic Versions](https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--versions-e10079.svg)](https://github.com/feodor-ra/funcy-stubs/releases)

![GitHub License](https://img.shields.io/github/license/feodor-ra/funcy-stubs)
![GitHub Release](https://img.shields.io/github/v/release/feodor-ra/funcy-stubs)
![GitHub Repo stars](<https://img.shields.io/github/stars/feodor-ra/funcy-stubs>)

## Install

[pypi](https://pypi.org/project/funcy-typing/)

```bash
pip install funcy-typing
```
